/*
Theme Name: Barron Development
Version: 1.0
Description: Customizable responsive accessible Wordpress child theme created by CyberOptik
Author: CyberOptik
Author URI: https://www.cyberoptik.net/
Template: optik-theme-6
*/





/******************************************************************************
 * * *  IMPORTS & VARIABLES  * * * * * * * * * * * * * * * * * * * * * * * * *
******************************************************************************/

@import url("../optik-theme-6/style.css");



/* Add font imports here */

/***  Inter  ***/ 

/* Regular */
@font-face {
	font-family: 'Inter';
	font-weight: 400;
	src: url('fonts/inter/inter-regular.woff2');
}

/*Regular Italic */
@font-face {
	font-family: 'Inter';
	font-style: italic;
	src: url('fonts/inter/inter-italic.woff2');
}

/* Bold */
@font-face {
	font-family: 'Inter';
	font-weight: 700;
	src: url('fonts/inter/inter-bold.woff2');
}

/***  PlayFairDisplay  ***/ 

/* Bold */
@font-face {
	font-family: 'PlayFairDisplay';
	font-weight: 700;
	src: url('fonts/playfairdisplay/playfairdisplay-bold.woff2');
}


/******************************************************************************
 * * *  STRUCTURAL ELEMENTS  * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/



/***  UNIVERSAL STYLES  ***/

html {
	font-size: 18px;
}

@media screen and(max-width:600px) {
	html{font-size: 16px;}
}

body {
	line-height: 1.6em;
	font-family: var(--wp--custom--font--1);
	color: var(--wp--custom--dark--2);
}



/***  BACK TO TOP BUTTON  ***/

.btt-button [class*="fa"] {
	border-radius: var(--wp--custom--radius--xs);
	background-color: var(--wp--custom--primary--main);
	font-weight: 300;
	color: white;
}

.btt-button:hover [class*="fa"] {
	background-color: var(--wp--custom--primary--light);
	color: var(--wp--custom--dark--1);
}





/******************************************************************************
 * * *  CONTENT STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * *
******************************************************************************/



/***  TEXT & LINKS  ***/

a {
	color: var(--wp--custom--primary--main);
}

a:hover {
	color: var(--wp--custom--primary--light);
}



/***  HEADINGS  ***/

h1, h2, h3, h4, h5, h6 {
	font-weight: bold;
	color: var(--wp--custom--primary--dark);
	font-family: var(--wp--custom--font--2);
}

h1 {
	font-size: 4em;
}

h2 {
	font-size: 2.25em;
}

h3 {
	font-size: 1.3em;
}

h4 {
	font-size: 1.15em;
}

h5 {
	font-size: 1em;
}

h6 {
	font-size: 0.85em;
}

@media screen and (max-width:1200px) {
	h1{font-size: 3em;}

	h2{font-size: 2em;}
}

@media screen and (max-width:600px) {
	h1{font-size: 2.5em;}

	h2{font-size: 1.75em;}
}



/***  BORDERS & DIVIDERS  ***/

hr, .divider {
	display: block;
	width: 100%;
	height: 1px;
	border: 0;
	border-top: 1px solid #e2e2e2;
	margin: 2.5em auto;
	padding: 0;
}



/***  BUTTONS  ***/

.button, 
.wp-block-button__link, 
.button-outline, 
.is-style-outline .wp-block-button__link {
	padding: 0.75em 2.25em;
	border-color: var(--wp--custom--primary--main);
	border-radius: var(--wp--custom--radius--xs);
	background-color: var(--wp--custom--primary--main);
	text-transform: uppercase;
	font-size: .9em;
	letter-spacing: .5px;
	color: white;
}

.button:hover, 
.wp-block-button__link:hover, 
.button-outline:hover,
.is-style-outline .wp-block-button__link:hover {
	border-color: var(--wp--custom--primary--light);
	background-color: var(--wp--custom--primary--light);
	color: var(--wp--custom--dark--1);
}

.button [class*="fa"], 
.wp-block-button__link [class*="fa"], 
.button:hover [class*="fa"], 
.wp-block-button__link:hover [class*="fa"] {
	color: inherit !important;
}

/* Outlined Button */

.button-outline, 
.is-style-outline .wp-block-button__link {
	background: none;
	color: var(--wp--custom--primary--main);
}

.button-outline:hover,
.is-style-outline .wp-block-button__link:hover {
	border-color: var(--wp--custom--primary--light);
	background-color: var(--wp--custom--primary--light);
	color: var(--wp--custom--dark--1);
}



/***  ICONS  ***/

.fa {
	font-weight: 900;
}

/* Icon Colors */

.fa, .fas, .far, .fal, .fab {
	color: var(--wp--custom--primary--main);
}

a .fa, a .fas, a .far, a .fal, a .fab {
	color: var(--wp--custom--primary--main);
}

a:hover .fa, a:hover .fas, a:hover .far, a:hover .fal, a:hover .fab {
	color: var(--wp--custom--secondary--main);
}

/* Icon Backgrounds */

.fa-bg {
	background-color: var(--wp--custom--primary--main);
	color: white;
}

a .fa-bg {
	background-color: var(--wp--custom--primary--main);
	color: white;
}

a:hover .fa-bg {
	background-color: var(--wp--custom--secondary--main);
	color: white;
}

/* Icon Borders */

.fa-br {
	border-color: var(--wp--custom--primary--main);
}

a .fa-br {
	border-color: var(--wp--custom--primary--main);
}

a:hover .fa-br {
	border-color: var(--wp--custom--secondary--main);
}



/***  LISTS  ***/

.arrow-list li:before, 
.check-list li:before, 
.check-circle-list li:before, 
.icon-list li:before, 
.contact-list li:before, 
.arrow-list li [class*="fa"], 
.check-list li [class*="fa"], 
.check-circle-list li [class*="fa"], 
.icon-list li [class*="fa"], 
.contact-list li [class*="fa"] {
	color: var(--wp--custom--primary--main);
	font-weight: 900;
}



/***  FORMS  ***/

/* Inputs */

input[type="text"], input[type="email"], input[type="number"], 
input[type="password"], input[type="search"], input[type="tel"], 
input[type="url"], input[type="date"], input[type="datetime-local"], 
input[type="month"], input[type="time"], input[type="week"], 
select, .filter-reset {
	border-radius: var(--wp--custom--radius--xs)!important;
    padding: .5em 1em !important;
    height: auto !important;
}

textarea{
	border-radius: var(--wp--custom--radius--lg-2)!important;
    padding: .25em 1em !important;
}

input[type="text"]:focus, input[type="email"]:focus, input[type="number"]:focus, 
input[type="password"]:focus, input[type="search"]:focus, input[type="tel"]:focus, 
input[type="url"]:focus, input[type="date"]:focus, input[type="datetime-local"]:focus, 
input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, 
textarea:focus, select:focus {
	border-color: var(--wp--custom--primary--main)!important;
	outline-color: var(--wp--custom--primary--main)!important;
}

.gform-datepicker{width:100%!important;}

.gfield_label{
	color:var(--wp--custom--dark--1)!important;
	font-weight: 700 !important;
}

.gform-theme--foundation .gform_fields{row-gap: 20px!important;}

/*search-form*/
.search-area{
	padding: 20px;
	border-radius: var(--wp--custom--radius--lg);
	max-width: 400px;
}

.search-form{max-width: 400px;}

.search-area .search-field{ 
	border-radius: var(--wp--custom--radius--lg); 
	font-size: 1em;
}

/* Buttons */

input[type="submit"], 
input[type="reset"], 
input[type="button"], 
form button {
	border-color: var(--wp--custom--primary--main)!important;
	background-color: var(--wp--custom--primary--main)!important;
	border-radius: var(--wp--custom--radius--xs);
	color: white;
	padding: 1em 2em!important;
	font-size: .9em!important;
	text-transform: uppercase!important;
	letter-spacing: .5px;
}

input[type="Submit"]:hover, 
input[type="reset"]:hover, 
input[type="button"]:hover, 
form button:hover {
	border-color: var(--wp--custom--primary--light)!important;
	background-color: var(--wp--custom--primary--light)!important;
	color: var(--wp--custom--dark--1)!important;
}

input[type="Submit"]:active, 
input[type="reset"]:active, 
input[type="button"]:active, 
form button:active {
	border-color:  var(--wp--custom--primary--dark);
	background-color:  var(--wp--custom--primary--dark);
	color: white;
}


input[type="Submit"].search-submit:not(:hover) { 
	background-image: url('./images/icon-search-white.svg');
 }


/******************************************************************************
 * * *  HEADER STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/



/***  SCROLL BAR  ***/

.scroll-bar {
	background-color: var(--wp--custom--primary--dark);
}

.scroll-bar-container{max-width: 1920px;}

.scroll-logo {
	max-height: 50px;
}



/***  TOP BAR  ***/

.top-bar {
	background-color: var(--wp--custom--light--2);
}



/***  HEADER  ***/

/*FIXED HEADER*/
.header-wrap{
	position: absolute;
	z-index: 3;
}

section.banner{padding-top: 100px;}

.header-container{max-width: 1920px;}

.header-logo {
	max-height: 110px;
}

/* Menu Button */

.header .menu-button [class*="fa"], 
.header .menu-button:hover [class*="fa"] {
	color: var(--wp--custom--dark--1);
	background-color: white;
}

.header .menu-button.active [class*="fa"] {
	background-color: var(--wp--custom--primary--main);
	color: white;
}



/***  NAVBAR  ***/

.navbar {
}



/***  NAV MENUS  ***/

.nav-menu > li > a, 
.nav-menu > li > span, 
.nav-menu > li > button {
	color: white;
	text-transform: uppercase;
	text-shadow: var(--wp--custom--shadow--2);
}

.single-post .nav-menu > li.posts-link > a, 
.category .nav-menu > li.posts-link > a, 
.single-service .nav-menu > li.services-link > a, 
.single-career .nav-menu > li.careers-link > a, 
.single-resource .nav-menu > li.resources-link > a, 
.nav-menu > li.current-menu-ancestor > a, 
.nav-menu > li.current-menu-ancestor > span, 
.nav-menu > li.current-menu-ancestor > button, 
.nav-menu > li.current-menu-item > a, 
.nav-menu > li.current-menu-item > span, 
.nav-menu > li.current-menu-item > button, 
.nav-menu > li:hover > a, 
.nav-menu > li:hover > span, 
.nav-menu > li:hover > button {
	color: var(--wp--custom--light--1);
	text-shadow: var(--wp--custom--shadow--1);
	
}

/* Nav Button */

.nav-menu > li.nav-button {
	background-color: transparent !important;
}

.nav-menu > li:last-child { padding-right: 0; }

.nav-menu > li.nav-button > a {
	margin-left: 10px;
	margin-right: 10px;
	background-color: var(--wp--custom--primary--main);
	border-radius: var(--wp--custom--radius--xs);
	color: white;
	letter-spacing: .5px;
}

.nav-menu > li.nav-button > a:hover {
	background-color: var(--wp--custom--primary--light);
	color: var(--wp--custom--dark--1);
}

.nav-menu > li.nav-button > a:last-child { margin-right: 0; }

/* Dropdowns */

.nav-menu li ul li:first-child {
	padding-top: 8px;
}
.nav-menu li ul li:last-child {
	padding-bottom: 8px;
}

.nav-menu li ul > li > a, 
.nav-menu li ul > li > span, 
.nav-menu li ul > li > button {
	color: var(--wp--custom--dark--3);
}

.single-careers .nav-menu li ul li.careers-link > a, 
.nav-menu li ul li.current-menu-item > a, 
.nav-menu li ul li.current-menu-item > span, 
.nav-menu li ul li.current-menu-item > button, 
.nav-menu li ul li:hover > a, 
.nav-menu li ul li:hover > span, 
.nav-menu li ul li:hover > button {
	color: var(--wp--custom--primary--main);
}

/* Nested Dropdowns */

.nav-menu li ul li ul {
	top: -8px;
}



/***  HIDDEN NAV  ***/

.hidden-menu li a {
	color: var(--wp--custom--dark--3);
}

.hidden-menu li.current-menu-item > a {
	color: var(--wp--custom--primary--main);
}

.hidden-menu .sub-menu{padding-left: 7px;}





/******************************************************************************
 * * *  BODY STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/



/***  BANNER  ***/

.banner {
	background-color: var(--wp--custom--dark--1);
}

body.tax-property-product-type .banner .banner-inner{ min-height: 450px;}

.banner-inner {
    padding-top: calc(var(--wp--custom--spacer--xxl) * 2);
	padding-bottom: var(--wp--custom--spacer--md);
    align-items: flex-end;
}

.banner-viewheight .banner-inner {
	padding-top: calc(var(--wp--custom--spacer--lg) + 140px);
	padding-bottom: var(--wp--custom--spacer--lg);
}

.banner .headline,
.banner .deck,
.banner .banner-content-wrap,
.custom-banner .wp-block-heading,
.custom-banner p{text-shadow: var(--wp--custom--shadow--2);}

.banner .headline:after{
    content: '';
    width: 80px;
    height: 3px;
    background-color: white;
    display: block;
    margin: 20px auto;
	text-align:center;
}

.banner a {
	color: white;
	border-bottom: 1px dotted white;
	text-shadow: var(--wp--custom--shadow--2);
}

.banner a:hover {
	color: var(--wp--custom--primary--light);
	border-bottom: 1px solid var(--wp--custom--primary--light);
}



/***  HEADLINE BAR  ***/

.headline-bar {
}



/***  ENTRY NAVBAR  ***/

.entry-menu > li > a {
	color: var(--wp--custom--dark--3);
}

.entry-menu > li.current-menu-item > a, 
.entry-menu > li:hover > a {
	color: var(--wp--custom--primary--main);
}



/***  MAIN  ***/

.main {
	padding-top:  var(--wp--custom--spacer--xxl);
	padding-bottom:  var(--wp--custom--spacer--xxl);
}



/***  ARCHIVE  ***/

/* Entry Cols */

.entry-cols .entry-link {
	border-radius: var(--wp--custom--radius--xs);
	background-color: var(--wp--custom--primary--dark);
	overflow: hidden;
	color: var(--wp--custom--light--1);
	border: 1px solid var(--wp--custom--primary--dark);
}

.entry-cols .entry-link:hover {
	transform: translateY(-3px);
}

.entry-cols .entry-title{color: white;}

.entry-cols .entry-thumb{width: 100%!important;}

.entry-cols .entry-icon-wrap:first-child {
	padding: 30px 30px 0;
}

.entry-cols .entry-icon svg {
	width: 60px;
	fill: var(--wp--custom--primary--main);
}

.entry-cols .entry-text-wrap {
	padding: 30px;
}

.includes-link-text .entry:not(.col-full) .entry-text-wrap {
	padding-bottom: 80px;
}

.entry-cols .entry:not(.col-full) .entry-link-text-wrap {
	left: 30px;
	bottom: 30px;
}

.entry-cols .entry-link .entry-link-text {
	color: white;
}

.entry-cols .entry-link:hover .entry-link-text {
	color: white;
}

.property-cols .property-link { 
	background-color: transparent; 
	border: none;
	border-radius: 0;
}

.property-cols .property-link:hover { transform: none; }

.property-cols .property-thumb-wrap { overflow: hidden; }

.property-cols .property-thumb { transition: all 350ms ease; }

.property-cols .property-link:hover .property-thumb { transform: scale(1.03); }

.property-cols .property-text-wrap { padding: 12px 0 0; }

.property-cols .property-title { 
	margin-bottom: 0 !important;
	color: var(--wp--custom--primary--dark); 
}

.property-cols .property-location{
	font-size: .8em;
	color: var(--wp--custom--primary--main);
	text-transform: uppercase;
}

/* Archive Pagination */

.archive-pagination a {
	border-radius: var(--wp--custom--radius--xl);
	border-color: var(--wp--custom--light--1);
	color: var(--wp--custom--primary--main);
}

.archive-pagination a:hover {
	border-color: var(--wp--custom--primary--light);
	color: var(--wp--custom--primary--light);
}

.archive-pagination a [class*="fa"], 
.archive-pagination a:hover [class*="fa"] {
	color: inherit !important;
	transition: all 0ms ease-in-out;
}

/*property-product-types */
.property-product-types{
	text-align: center;
	margin-bottom: 30px;
}

.property-product-types .button-outline{
    font-size: .7em;
    padding: 0.1em .5em;
}

.property-product-types .current-item{
	background-color: var(--wp--custom--primary--dark) !important;
	color: white !important;
	cursor: unset!important;
}

.property-product-types > [class^="button"]:hover {
	background-color: var(--wp--custom--primary--main);
	color: white;
}


/***  SINGLE  ***/
/*property*/
.single-property .property-meta{
	display: flex;
	flex-wrap: wrap;
	gap:25px;
}

.property-meta img{
	width:30px;
    margin-bottom: 10px;
}

@media screen and (max-width:600px){
	.single-property .property-meta{
		flex-direction: column;
	}
}

.single-property .property-field{
	flex: 1;
	display: flex;
	flex-direction: column;
	background-color: var(--wp--custom--primary--dark);
	color: white;
	padding: var(--wp--custom--spacer--xs);

}

.single-property .property-field .field-label{
	text-transform: uppercase;
	opacity: .8;
	font-size: .85em;
}

.single-property .property-field .field-value{
	font-weight: 700;
}

.single-property .property-content .wp-block-gallery{
	margin-top: 40px;
    padding-top: 40px;
    border-top: 1px solid var(--wp--custom--light--1);
    padding-bottom: 40px;
    border-bottom: 1px solid var(--wp--custom--light--1);
}

/***  ARCHIVE ***/
.tax-property-product-type .archive-description{
	max-width: 1000px;
	text-align: center;
	margin:60px auto;
}


/*More Cols*/
.more-cols .col-third:nth-child(n+4){
	display:none;
}




/******************************************************************************
 * * *  FOOTER STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/



/***  CTA BAR  ***/

.cta-bar {
	background-color: var(--wp--custom--primary--dark);
	padding:0;
}

.cta-bar .cta-bar-container{
	max-width:unset;
	padding:0;
}


.cta-bar h1, 
.cta-bar h2, 
.cta-bar h3, 
.cta-bar h4, 
.cta-bar h5, 
.cta-bar h6 {
	color: white;
} 




/***  FOOTER  ***/

.footer {
	padding-top: var(--wp--custom--spacer--lg);
	padding-bottom: var(--wp--custom--spacer--lg);
	background-color: var(--wp--custom--primary--dark);
	color: var(--wp--custom--light--1);
	font-size: 0.83em;
}

.footer-container{max-width: 1920px;}

/*@media screen and (min-width:1400px){
	.footer .wp-block-columns .wp-block-column:first-of-type{flex-basis: 100%!important;}

	.footer .wp-block-columns .wp-block-column:nth-of-type(2),
	.footer .wp-block-columns .wp-block-column:last-of-type{flex-basis: 800px!important;}
}*/

.footer .wp-block-heading{
	color: var(--wp--custom--light--1);
}

.footer a {
	color: white;
}

.footer a:hover {
	color: var(--wp--custom--light--1);
}

.footer .wp-block-image a{border-bottom: unset;}

.footer .contact-list li:before{color: var(--wp--custom--primary--light);}

.footer li{margin-left: 1.75em;}

.footer li:before{color: var(--wp--custom--primary--light);}

.footer .ota-counter-wrapper *{
	color: white;
	font-size: 1.5em;
}


/***  6.3 BOTTOM BAR  ***/

.bottom-bar {
	background-color: var(--wp--custom--primary--dark);
	font-size: 0.8em;
	color: white;
}

/* Menus */

.bottom-bar a {
	color: white;
}

.bottom-bar a:hover {
	color: var(--wp--custom--light--1);
}





/******************************************************************************
 * * *  7 CUSTOM STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/

/* Add custom theme styles here */



/***  ICON CARDS  ***/

.icon-cards {
	text-align: center;
}

.icon-cards .wp-block-column {
	background-color: var(--wp--custom--light--2);
	padding: var(--wp--custom--spacer--md) var(--wp--custom--spacer--sm);
	transition: all 350ms ease-in-out;
}

.icon-cards .wp-block-column:hover {
	background-color: var(--wp--custom--primary--main);
	color: white;
}

.icon-cards .wp-block-column .wp-block-heading, 
.icon-cards .wp-block-column .wp-block-heading a {
	color: var(--wp--custom--primary--main);
	border-bottom: none;
	transition: all 350ms ease-in-out;
}

.icon-cards .wp-block-column:hover .wp-block-heading, 
.icon-cards .wp-block-column:hover .wp-block-heading a, 
.icon-cards .wp-block-column:hover .wp-block-heading a:hover {
	color: white;
}

.icon-cards .wp-block-outermost-icon-block {
	justify-content: center;
}

.icon-cards .wp-block-heading:not(:first-child) {
	margin-top: 0.25em;
	font-size: 1.45em;
}

/*second-image-left*/
.second-image-left{
	max-width: 250px;
    margin-left: auto;
    margin-right: -30px;
    margin-top: -180px;
}

.archive-navbar .filter-form > * {
    height: auto;
    margin-top: 5px;
    margin-bottom: 5px;
}


.cover-gallery-slider {
    position: relative;
}

.cover-gallery-slider .swiper {
    position: absolute;
    inset: 0;
    z-index: 0;
}

.cover-gallery-slider .swiper-slide {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
}

/* Hide original gallery */
.cover-gallery-slider .wp-block-gallery {
    display: none;
}

/* Keep content above */
.cover-gallery-slider .wp-block-cover__inner-container {
    position: relative;
    z-index: 2;
}